Bug 216062 - linker command failed in function `numa_setaffinity'
Summary: linker command failed in function `numa_setaffinity'
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: arm (show other bugs)
Version: CURRENT
Hardware: arm64 Any
: --- Affects Many People
Assignee: freebsd-arm mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-14 11:15 UTC by O. Hartmann
Modified: 2018-05-28 19:46 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2017-01-14 11:15:55 UTC
Buildword on a FreeBSD CURRENT host (FreeBSD 12.0-CURRENT #58 r312086: Fri Jan 13 23:13:53 CET 2017 amd64) to build for TARGET=arm64 of CURRENT r312163 fails with the compilation error during buildworld as shown below.

This problem seems to have arisen during introduction of CLANG 3.9.1, since I've already compiled world for TARGET=arm64 successfully before Christmas 2016 on the same host system (AMD64) for TARGET=arm64.


I have not seen any comments or indications on the lists about the problem, so there is maybe a mistake I have done and overlooked.



[...]
--- libc.so.7 ---
numa_setaffinity.pico: In function `numa_setaffinity':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
numa_getaffinity.pico: In function `numa_getaffinity':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
procctl.pico: In function `procctl':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
aio_mlock.pico: In function `aio_mlock':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
chflagsat.pico: In function `chflagsat':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
connectat.pico: In function `connectat':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
bindat.pico: In function `bindat':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
cap_fcntls_get.pico: In function `cap_fcntls_get':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
cap_fcntls_limit.pico: In function `cap_fcntls_limit':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
cap_ioctls_get.pico: In function `cap_ioctls_get':
(.text+0x8): relocation truncated to fit: R_AARCH64_CONDBR19 against symbol `cerror' defined in .text section in cerror.pico
cap_ioctls_limit.pico: In function `cap_ioctls_limit':
(.text+0x8): additional relocation overflows omitted from the output
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** [libc.so.7] Error code 1
Comment 1 Ed Maste freebsd_committer 2017-04-12 14:33:38 UTC
Should be fixed by r316624
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:46:27 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.